FUNCTION RKfor(N,Y,F,X,H,PHI,YO,m,temp)
!   Runge-kutta 4th order routine
!
!   Data dictionary: declare calling parameter types & definitions
    INTEGER, INTENT(IN) :: N
    INTEGER, INTENT(IN) :: m
    REAL, INTENT(INOUT) :: Y
    REAL, INTENT(IN) :: F
    REAL, INTENT(INOUT) :: X
    REAL, INTENT(IN) :: H
    REAL, INTENT(INOUT) :: PHI
    REAL, INTENT(INOUT) :: YO
    REAL, INTENT(OUT) :: temp(6)
    REAL :: RKfor(6)
!   Internal variable
    REAL :: Istat = 1.
    SELECT CASE(m)
    CASE(1)
        Istat = 1.
    CASE(2)
        Istat = 1.
        YO = Y
        PHI = F
        Y = YO + 0.5*H*F
        X = X+0.5*H
    CASE(3)
        Istat = 1.
        PHI = PHI+2*F
        Y = Y+0.5*H*F
    CASE(4)
        Istat = 1.
        PHI = PHI+2*F
        Y = Y + H*F
        X = X+0.5*H
    CASE DEFAULT
        Istat = 0.
        Y = Y + (PHI+F)*H/6.
    END SELECT
    RKfor = 1.
    temp = [Istat,Y,F,PHI,YO,X]
END FUNCTION RKfor